<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.6"/>
<title>Khepera Library: koreioLE_auto.c File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="kteamdoxy.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">Khepera Library
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.6 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>Globals</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('koreioLE__auto_8c.html','');});
</script>
<div id="doc-content">
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">koreioLE_auto.c File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><div class="dynheader">
Include dependency graph for koreioLE_auto.c:</div>
<div class="dyncontent">
<div class="center"><img src="koreioLE__auto_8c__incl.png" border="0" usemap="#koreioLE__auto_8c" alt=""/></div>
<map name="koreioLE__auto_8c" id="koreioLE__auto_8c">
</map>
</div>
</div>
<p><a href="koreioLE__auto_8c_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:ac9f02fb0114292a308e093f0d9f8aa30"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="koreioLE__auto_8c.html#ac9f02fb0114292a308e093f0d9f8aa30">ctrlc_handler</a> (int sig)</td></tr>
<tr class="separator:ac9f02fb0114292a308e093f0d9f8aa30"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae92fb5ec62807efb0ce1b2171784066f"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="koreioLE__auto_8c.html#ae92fb5ec62807efb0ce1b2171784066f">quit</a> (int argc, char *argv[], void *data)</td></tr>
<tr class="separator:ae92fb5ec62807efb0ce1b2171784066f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad888ddb9d725372c4849b3efa9b20db0"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="koreioLE__auto_8c.html#ad888ddb9d725372c4849b3efa9b20db0">readios</a> (int argc, char *argv[], void *data)</td></tr>
<tr class="separator:ad888ddb9d725372c4849b3efa9b20db0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae3d6a45deeef910eb59d5be977b0dfa1"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="koreioLE__auto_8c.html#ae3d6a45deeef910eb59d5be977b0dfa1">help</a> (int argc, char *argv[], void *data)</td></tr>
<tr class="separator:ae3d6a45deeef910eb59d5be977b0dfa1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0ddf1224851353fc92bfbff6f499fa97"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="koreioLE__auto_8c.html#a0ddf1224851353fc92bfbff6f499fa97">main</a> (int argc, char *argv[])</td></tr>
<tr class="separator:a0ddf1224851353fc92bfbff6f499fa97"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:a7afd688646baddcb54287c2eec6949a9"><td class="memItemLeft" align="right" valign="top">static int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="koreioLE__auto_8c.html#a7afd688646baddcb54287c2eec6949a9">quitReq</a> = 0</td></tr>
<tr class="separator:a7afd688646baddcb54287c2eec6949a9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa25dd9f9732a5e84db9ba8d7b1f86052"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="knet_8h.html#aeff916584af2807c6ae0f74585af5237">knet_dev_t</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="koreioLE__auto_8c.html#aa25dd9f9732a5e84db9ba8d7b1f86052">koreio</a></td></tr>
<tr class="separator:aa25dd9f9732a5e84db9ba8d7b1f86052"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5532197815d495c65c2c74f6cd107825"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="kb__cmdparser_8h.html#af17b9af2e639d86303b2cad54cc763e7">kb_command_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="koreioLE__auto_8c.html#a5532197815d495c65c2c74f6cd107825">cmds</a> []</td></tr>
<tr class="separator:a5532197815d495c65c2c74f6cd107825"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac75fce8692fd1d41a8985f6aacc4a175"><td class="memItemLeft" align="right" valign="top">static char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="koreioLE__auto_8c.html#ac75fce8692fd1d41a8985f6aacc4a175">buf</a> [1024]</td></tr>
<tr class="separator:ac75fce8692fd1d41a8985f6aacc4a175"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function Documentation</h2>
<a class="anchor" id="ac9f02fb0114292a308e093f0d9f8aa30"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void ctrlc_handler </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>sig</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Make sure the program terminate properly on a ctrl-c </p>

<p>Definition at line <a class="el" href="koreioLE__auto_8c_source.html#l00035">35</a> of file <a class="el" href="koreioLE__auto_8c_source.html">koreioLE_auto.c</a>.</p>

<p>References <a class="el" href="koreioLE__auto_8c_source.html#l00028">quitReq</a>.</p>

<p>Referenced by <a class="el" href="koreioLE__auto_8c_source.html#l00092">main()</a>.</p>

</div>
</div>
<a class="anchor" id="ae3d6a45deeef910eb59d5be977b0dfa1"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int help </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>argc</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">char *&#160;</td>
          <td class="paramname"><em>argv</em>[], </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>data</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Display a list of available commands. </p>

<p>Definition at line <a class="el" href="koreioLE__auto_8c_source.html#l00075">75</a> of file <a class="el" href="koreioLE__auto_8c_source.html">koreioLE_auto.c</a>.</p>

<p>References <a class="el" href="koreioLE__auto_8c_source.html#l00064">cmds</a>, and <a class="el" href="kb__cmdparser_8h_source.html#l00020">kb_command_s::name</a>.</p>

</div>
</div>
<a class="anchor" id="a0ddf1224851353fc92bfbff6f499fa97"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int main </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>argc</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">char *&#160;</td>
          <td class="paramname"><em>argv</em>[]&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Definition at line <a class="el" href="koreioLE__auto_8c_source.html#l00092">92</a> of file <a class="el" href="koreioLE__auto_8c_source.html">koreioLE_auto.c</a>.</p>

<p>References <a class="el" href="koreioLE__auto_8c_source.html#l00035">ctrlc_handler()</a>, <a class="el" href="kb__camera_8c_source.html#l00136">io</a>, <a class="el" href="kb__init_8c_source.html#l00028">kb_init()</a>, <a class="el" href="kb__error_8c_source.html#l00130">kb_set_debug_level()</a>, <a class="el" href="koreio_8c_source.html#l00406">kio_ChangeIO()</a>, <a class="el" href="koreio_8c_source.html#l00427">kio_ClearIO()</a>, <a class="el" href="koreio_8c_source.html#l00543">kio_ClearPW()</a>, <a class="el" href="koreio_8c_source.html#l00296">kio_ConfigIO()</a>, <a class="el" href="koreio_8c_source.html#l00041">kio_GetFWVersion()</a>, <a class="el" href="koreio_8c_source.html#l00067">kio_ReadAnalog()</a>, <a class="el" href="koreio_8c_source.html#l00358">kio_SetIO()</a>, <a class="el" href="koreio_8c_source.html#l00522">kio_SetPW()</a>, <a class="el" href="knet_8h_source.html#l00021">KNET_BUS_ANY</a>, <a class="el" href="knet_8c_source.html#l00439">knet_close()</a>, <a class="el" href="knet_8c_source.html#l00272">knet_open()</a>, and <a class="el" href="koreioLE__auto_8c_source.html#l00028">quitReq</a>.</p>

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="koreioLE__auto_8c_a0ddf1224851353fc92bfbff6f499fa97_cgraph.png" border="0" usemap="#koreioLE__auto_8c_a0ddf1224851353fc92bfbff6f499fa97_cgraph" alt=""/></div>
<map name="koreioLE__auto_8c_a0ddf1224851353fc92bfbff6f499fa97_cgraph" id="koreioLE__auto_8c_a0ddf1224851353fc92bfbff6f499fa97_cgraph">
<area shape="rect" id="node2" href="koreioLE__auto_8c.html#ac9f02fb0114292a308e093f0d9f8aa30" title="ctrlc_handler" alt="" coords="121,183,217,209"/><area shape="rect" id="node3" href="kb__init_8c.html#adf1ca4007100c026fae148afe3e4b6f2" title="kb_init" alt="" coords="139,461,199,488"/><area shape="rect" id="node30" href="kb__error_8c.html#aa37d3cf5b9b4e8a961c0f7a405664cc6" title="kb_set_debug_level" alt="" coords="283,664,418,691"/><area shape="rect" id="node35" href="koreio_8c.html#aefbf593655fa14e6e5bf626afe95edc6" title="kio_ChangeIO" alt="" coords="117,765,221,792"/><area shape="rect" id="node38" href="koreio_8c.html#afa84586af458c590016d494355da876d" title="kio_ClearIO" alt="" coords="124,816,215,843"/><area shape="rect" id="node39" href="koreio_8c.html#a399378ec6c99817a649c34ef6dcc3923" title="kio_ClearPW" alt="" coords="121,563,218,589"/><area shape="rect" id="node40" href="koreio_8c.html#a8de2871a0489627df03903de29ca5121" title="kio_ConfigIO" alt="" coords="121,613,217,640"/><area shape="rect" id="node41" href="koreio_8c.html#a0ade8d7eca0e9afe2efeebe0e18b0d11" title="kio_GetFWVersion" alt="" coords="105,867,234,893"/><area shape="rect" id="node44" href="koreio_8c.html#af41ec56e036ceca45ed262f28687e40a" title="kio_ReadAnalog" alt="" coords="111,917,227,944"/><area shape="rect" id="node45" href="koreio_8c.html#a4e96c3878ce5681cb6e7498da44ef169" title="kio_SetIO" alt="" coords="129,664,209,691"/><area shape="rect" id="node46" href="koreio_8c.html#ae4ce1583f43ed436fa10a1da7e5c359a" title="kio_SetPW" alt="" coords="126,715,213,741"/><area shape="rect" id="node47" href="knet_8c.html#a371a54cbf292fc68e40486b17fbb7011" title="knet_close" alt="" coords="127,968,211,995"/><area shape="rect" id="node48" href="knet_8c.html#a1f14944a5e24a6d2c055252191c52155" title="knet_open" alt="" coords="128,233,211,260"/><area shape="rect" id="node4" href="kb__config_8c.html#a37d877a60e61f05a022144e615073a24" title="kb_config_init" alt="" coords="300,297,401,324"/><area shape="rect" id="node14" href="kb__init_8c.html#aeb3ec73ea4f99817d924627a37f9944e" title="kb_exit" alt="" coords="319,461,382,488"/><area shape="rect" id="node23" href="kb__gpio_8c.html#a985bbe2660af7e41e96720eb8f9393b3" title="kb_gpio_init" alt="" coords="305,563,396,589"/><area shape="rect" id="node26" href="kb__error_8c.html#a4e87b68cbeda7d5b4f3f17db17edb320" title="kb_msg" alt="" coords="317,120,384,147"/><area shape="rect" id="node28" href="kb__pwm_8c.html#a807e0cc60559e1d0fea387afb6a10d67" title="kb_pwm_init" alt="" coords="303,221,398,248"/><area shape="rect" id="node31" href="knet_8c.html#a0d154ed55cb062a5e5bb57d8092b1f05" title="knet_init" alt="" coords="315,613,386,640"/><area shape="rect" id="node5" href="kb__symbol_8c.html#a585b69e2d195df5cd53c58d57b6453d2" title="kb_create_symbol_table" alt="" coords="467,259,629,285"/><area shape="rect" id="node6" href="kb__config_8c.html#aeae8d52f8fbbb3f6f4f4b6c2fc39aaf0" title="kb_parse_config_file" alt="" coords="479,208,617,235"/><area shape="rect" id="node12" href="kb__error_8c.html#a0f83c793a43fabfda5685be6bc7615f2" title="kb_warning" alt="" coords="505,309,591,336"/><area shape="rect" id="node7" href="kb__config_8c.html#a8cce096c96023cdf8eb1c086bd2210b5" title="kb_config_error" alt="" coords="894,132,1005,159"/><area shape="rect" id="node9" href="kb__error_8c.html#a9cb11fb40aba13d25f44b89cc71f5e67" title="kb_error" alt="" coords="915,233,984,260"/><area shape="rect" id="node10" href="kb__cmdparser_8c.html#a148aa3c18794894d8cdd0a88dd04b814" title="kb_parse_command" alt="" coords="692,259,831,285"/><area shape="rect" id="node11" href="kb__error_8c.html#a72bbee6ffcb1c8be063966d128fe3a0a" title="kb_set_error_handler" alt="" coords="690,157,833,184"/><area shape="rect" id="node8" href="kb__error_8c.html#a3384c94e5877279d11bed633638184d5" title="kb_verror" alt="" coords="1053,183,1128,209"/><area shape="rect" id="node13" href="kb__error_8c.html#a6b59343a29eb6d19b3fd454186e6e5cd" title="kb_vwarning" alt="" coords="715,309,808,336"/><area shape="rect" id="node15" href="kb__config_8c.html#a926246be81a30dc96c00c5894ee89eda" title="kb_config_exit" alt="" coords="496,411,600,437"/><area shape="rect" id="node17" href="kb__gpio_8c.html#ae954471145cc6585763aeb01842d61c6" title="kb_gpio_cleanup" alt="" coords="489,512,607,539"/><area shape="rect" id="node19" href="kb__pwm_8c.html#a6638cbf8e612a375ddf5ed7b8eab88bf" title="kb_pwm_cleanup" alt="" coords="487,360,609,387"/><area shape="rect" id="node21" href="knet_8c.html#aff660373e5e81ed592b86c28b33ae782" title="knet_exit" alt="" coords="511,461,585,488"/><area shape="rect" id="node16" href="kb__symbol_8c.html#ad9f17597993089cfb72ae246d042b8d0" title="kb_destroy_symbol_table" alt="" coords="678,411,845,437"/><area shape="rect" id="node18" href="kb__gpio_8c.html#ab6674dc79cdfee0d381910810cbec1a9" title="gpio_free" alt="" coords="724,563,799,589"/><area shape="rect" id="node20" href="kb__pwm_8c.html#a2aecc7b9e5004e40bc6dee82c3a24358" title="pwm_free" alt="" coords="722,360,801,387"/><area shape="rect" id="node22" href="knet_8c.html#a6098a17c77691162b2b1f76ec32e8f70" title="knet_device_destroy" alt="" coords="692,461,831,488"/><area shape="rect" id="node24" href="kb__gpio_8c.html#adbee45b45d890e04dc3b7f642d2dddba" title="gpio_request" alt="" coords="501,563,595,589"/><area shape="rect" id="node25" href="kb__gpio_8c.html#a1cd4956c014dd1f950f060357edcbe58" title="kb_gpio_dir" alt="" coords="504,664,592,691"/><area shape="rect" id="node27" href="kb__error_8c.html#aa621635a59c5b1d2190a0469d00ec263" title="kb_vmsg" alt="" coords="511,107,585,133"/><area shape="rect" id="node29" href="kb__pwm_8c.html#a90d5752a8c61a46ef5ff160ae5e771b3" title="pwm_request" alt="" coords="499,157,597,184"/><area shape="rect" id="node32" href="kb__memory_8c.html#abe1cf0dffd093ca034d94486c5366872" title="kb_alloc" alt="" coords="513,816,583,843"/><area shape="rect" id="node33" href="knet__i2c_8c.html#a6f2f427ea806c923dd1e5032cb8077f0" title="knet_i2c_init" alt="" coords="714,664,809,691"/><area shape="rect" id="node34" href="knet__rs232_8c.html#aa0a1f0916e57c091179b315122dc7963" title="knet_rs232_init" alt="" coords="493,765,603,792"/><area shape="rect" id="node36" href="knet_8c.html#adc6fa8c32875470f89a4a4c6aa60b503" title="knet_write8" alt="" coords="307,715,395,741"/><area shape="rect" id="node37" href="knet_8c.html#a8c383097f8fef553088f53e073b4c9e1" title="knet_llwrite" alt="" coords="505,867,591,893"/><area shape="rect" id="node42" href="knet_8c.html#ad5d0333b6dd8438307e51850a7af26be" title="knet_read8" alt="" coords="307,917,394,944"/><area shape="rect" id="node43" href="knet_8c.html#a92df29c6cbda9a8b70febbf726148dc6" title="knet_lltransfer" alt="" coords="497,917,599,944"/><area shape="rect" id="node49" href="kb__config_8c.html#a0b27917fe2598af359acfa8feb9cf919" title="kb_lookup_device" alt="" coords="288,5,413,32"/><area shape="rect" id="node50" href="kb__symbol_8c.html#a989ba09ae1d926a9d3eaa411bc9e65bf" title="kb_lookup_symbol" alt="" coords="484,5,612,32"/></map>
</div>
</p>

</div>
</div>
<a class="anchor" id="ae92fb5ec62807efb0ce1b2171784066f"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int quit </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>argc</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">char *&#160;</td>
          <td class="paramname"><em>argv</em>[], </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>data</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Quit the program. </p>

<p>Definition at line <a class="el" href="koreioLE__auto_8c_source.html#l00043">43</a> of file <a class="el" href="koreioLE__auto_8c_source.html">koreioLE_auto.c</a>.</p>

<p>References <a class="el" href="koreioLE__auto_8c_source.html#l00028">quitReq</a>.</p>

</div>
</div>
<a class="anchor" id="ad888ddb9d725372c4849b3efa9b20db0"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int readios </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>argc</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">char *&#160;</td>
          <td class="paramname"><em>argv</em>[], </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>data</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Read all the IO states and display them. The first digit displayed is IO0 and the last is IO15. A x is displayed for IOs in output mode and a p is displayed for IOs in pwm mode </p>

<p>Definition at line <a class="el" href="koreioLE__auto_8c_source.html#l00053">53</a> of file <a class="el" href="koreioLE__auto_8c_source.html">koreioLE_auto.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Variable Documentation</h2>
<a class="anchor" id="ac75fce8692fd1d41a8985f6aacc4a175"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">char buf[1024]</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Main program to process the command line. </p>

<p>Definition at line <a class="el" href="koreioLE__auto_8c_source.html#l00090">90</a> of file <a class="el" href="koreioLE__auto_8c_source.html">koreioLE_auto.c</a>.</p>

</div>
</div>
<a class="anchor" id="a5532197815d495c65c2c74f6cd107825"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="kb__cmdparser_8h.html#af17b9af2e639d86303b2cad54cc763e7">kb_command_t</a> cmds[]</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<b>Initial value:</b><div class="fragment"><div class="line">= {</div>
<div class="line">  { <span class="stringliteral">&quot;quit&quot;</span>            , 0 , 0 , <a class="code" href="koreioLE__auto_8c.html#ae92fb5ec62807efb0ce1b2171784066f">quit</a> } ,</div>
<div class="line">  { <span class="stringliteral">&quot;exit&quot;</span>            , 0 , 0 , <a class="code" href="koreioLE__auto_8c.html#ae92fb5ec62807efb0ce1b2171784066f">quit</a> } ,</div>
<div class="line">  { <span class="stringliteral">&quot;bye&quot;</span>             , 0 , 0 , <a class="code" href="koreioLE__auto_8c.html#ae92fb5ec62807efb0ce1b2171784066f">quit</a> } ,</div>
<div class="line">  { <span class="stringliteral">&quot;help&quot;</span>            , 0 , 0 , <a class="code" href="koreioLE__auto_8c.html#ae3d6a45deeef910eb59d5be977b0dfa1">help</a> } ,</div>
<div class="line">  { NULL              , 0 , 0 , NULL }</div>
<div class="line">}</div>
<div class="ttc" id="koreioLE__auto_8c_html_ae3d6a45deeef910eb59d5be977b0dfa1"><div class="ttname"><a href="koreioLE__auto_8c.html#ae3d6a45deeef910eb59d5be977b0dfa1">help</a></div><div class="ttdeci">int help(int argc, char *argv[], void *data)</div><div class="ttdef"><b>Definition:</b> <a href="koreioLE__auto_8c_source.html#l00075">koreioLE_auto.c:75</a></div></div>
<div class="ttc" id="koreioLE__auto_8c_html_ae92fb5ec62807efb0ce1b2171784066f"><div class="ttname"><a href="koreioLE__auto_8c.html#ae92fb5ec62807efb0ce1b2171784066f">quit</a></div><div class="ttdeci">int quit(int argc, char *argv[], void *data)</div><div class="ttdef"><b>Definition:</b> <a href="koreioLE__auto_8c_source.html#l00043">koreioLE_auto.c:43</a></div></div>
</div><!-- fragment --><p>The command table contains: command name : min number of args : max number of args : the function to call </p>

<p>Definition at line <a class="el" href="koreioLE__auto_8c_source.html#l00064">64</a> of file <a class="el" href="koreioLE__auto_8c_source.html">koreioLE_auto.c</a>.</p>

<p>Referenced by <a class="el" href="koreioLE__auto_8c_source.html#l00075">help()</a>.</p>

</div>
</div>
<a class="anchor" id="aa25dd9f9732a5e84db9ba8d7b1f86052"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="knet_8h.html#aeff916584af2807c6ae0f74585af5237">knet_dev_t</a>* koreio</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Definition at line <a class="el" href="koreioLE__auto_8c_source.html#l00029">29</a> of file <a class="el" href="koreioLE__auto_8c_source.html">koreioLE_auto.c</a>.</p>

</div>
</div>
<a class="anchor" id="a7afd688646baddcb54287c2eec6949a9"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int quitReq = 0</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Definition at line <a class="el" href="koreioLE__auto_8c_source.html#l00028">28</a> of file <a class="el" href="koreioLE__auto_8c_source.html">koreioLE_auto.c</a>.</p>

<p>Referenced by <a class="el" href="koreioLE__auto_8c_source.html#l00035">ctrlc_handler()</a>, <a class="el" href="koreioLE__auto_8c_source.html#l00092">main()</a>, and <a class="el" href="koreioLE__auto_8c_source.html#l00043">quit()</a>.</p>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_59425e443f801f1f2fd8bbe4959a3ccf.html">tests</a></li><li class="navelem"><a class="el" href="koreioLE__auto_8c.html">koreioLE_auto.c</a></li>
    <li class="footer">Generated on Wed Jul 6 2016 19:39:20 for Khepera Library by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.6 </li>
  </ul>
</div>
</body>
</html>
